Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/xonotic: upgrade to 0.8.0

From: Sören Tempel <soeren+git_at_soeren-tempel.net>
Date: Tue, 18 Aug 2015 23:14:42 +0200

---
 testing/xonotic/APKBUILD | 52 +++++++++++++++++++++---------------------------
 1 file changed, 23 insertions(+), 29 deletions(-)
diff --git a/testing/xonotic/APKBUILD b/testing/xonotic/APKBUILD
index 5b832fa..ee75a2f 100644
--- a/testing/xonotic/APKBUILD
+++ b/testing/xonotic/APKBUILD
_at_@ -1,7 +1,8 @@
+# Contributor: Sören Tempel <soeren+alpine_at_soeren-tempel.net>
 # Contributor: William Pitcock <nenolod_at_dereferenced.org>
 # Maintainer:
 pkgname=xonotic
-pkgver=0.7.0
+pkgver=0.8.0
 pkgrel=0
 pkgdesc="Game engine for Xonotic (quake1/nexuiz derivative)"
 url="http://www.xonotic.org/"
_at_@ -28,49 +29,42 @@ prepare() {
 }
 
 build() {
-	cd "$_builddir"
-
 	# msg "building Xonotic-patched QuakeC compiler"
-	# make -C source/fteqcc CPUOPTIMIZATIONS="${CFLAGS}"
-
-	msg "building dedicated server"
-	make -C source/darkplaces CPUOPTIMIZATIONS="${CFLAGS}" DP_FS_BASEDIR="/usr/share/xonotic" DP_LINK_TO_LIBJPEG=1 sv-release
-
-	msg "building GLX client"
-	make -C source/darkplaces CPUOPTIMIZATIONS="${CFLAGS}" DP_FS_BASEDIR="/usr/share/xonotic" DP_LINK_TO_LIBJPEG=1 cl-release
+	# make -C "$_builddir"/source/fteqcc CPUOPTIMIZATIONS="${CFLAGS}"
 
-	msg "building SDL client"
-	make -C source/darkplaces CPUOPTIMIZATIONS="${CFLAGS}" DP_FS_BASEDIR="/usr/share/xonotic" DP_LINK_TO_LIBJPEG=1 sdl-release
+	local r
+	for r in sv cl sdl; do
+		make -C "$_builddir"/source/darkplaces \
+			CPUOPTIMIZATIONS="$CFLAGS" \
+			DP_FS_BASEDIR="/usr/share/$pkgname" \
+			DP_LINK_TO_LIBJPEG=1 \
+			$r-release || return 1
+	done
 }
 
 package() {
-	cd "$_builddir"
-
 	mkdir -p "$pkgdir"/usr/bin
-	install -Dm755 source/darkplaces/darkplaces-dedicated "$pkgdir"/usr/bin/xonotic-dedicated
+	install -Dm755 "$_builddir"/source/darkplaces/darkplaces-dedicated \
+		"$pkgdir"/usr/bin/xonotic-dedicated || return 1
 }
 
 sdl() {
 	pkgdesc="$pkgdesc (SDL client)"
-
-	cd "$_builddir"
-
 	mkdir -p "$subpkgdir"/usr/bin
-	install -Dm755 source/darkplaces/darkplaces-sdl "$subpkgdir"/usr/bin/xonotic-sdl
+	install -Dm755 "$_builddir"/source/darkplaces/darkplaces-sdl \
+		"$subpkgdir"/usr/bin/xonotic-sdl || return 1
 }
 
 glx() {
 	pkgdesc="$pkgdesc (GLX client)"
-
-	cd "$_builddir"
-
 	mkdir -p "$subpkgdir"/usr/bin
-	install -Dm755 source/darkplaces/darkplaces-glx "$subpkgdir"/usr/bin/xonotic-glx
+	install -Dm755 "$_builddir"/source/darkplaces/darkplaces-glx \
+		"$subpkgdir"/usr/bin/xonotic-glx || return 1
 }
 
-md5sums="1cc50a79ac6abf27da916bfb5e066043  xonotic-0.7.0-source.zip
-e7ad5ace0debe34486ff06b4f78b3f27  xonotic-moncontrol.patch"
-sha256sums="f1a527de67ab2bfd2b17414614301a783ad04e00dbd0d8abb516505e4ee9f88c  xonotic-0.7.0-source.zip
-5bb342ea261775d7a4cb0c542656aa12df17e27338ef4ed32711c03b36a9f73f  xonotic-moncontrol.patch"
-sha512sums="1b22c04e513284a460747bc63cde93ab177b63f90f38ae4b64ada1620c588ca0f521de958255924fd696ca85f928d7e91fc6746b8ada86c9e5385c3d52846492  xonotic-0.7.0-source.zip
-0412b191fcdee9835d2fb6f39e030f06cb72f795783ea2a1be32760dd4ef7a643414c3ddad01919f73d746272810a9a91cace19c84fd752417fe641eb08af3f3  xonotic-moncontrol.patch"
+md5sums="2715a0b219239211cff9bc24d693e1c5  xonotic-0.8.0-source.zip
+67b56ab2676cbc76c015fc889d7c23e3  xonotic-moncontrol.patch"
+sha256sums="0ba4e05e845a0672d9c47e0ff06c6194d5eb8b2dda28ef2c90b3f2f615f4c84a  xonotic-0.8.0-source.zip
+b745ba7c58f3c18b53464f6142c1c4552bda1c131b796453c633b4a91892040e  xonotic-moncontrol.patch"
+sha512sums="9d150fce57aa567e5b2dec420c727b8867b2df38651743261533dd0654a59aa7830a441d672b2c605a2ce4869171a4728ee0b035a2da95bef870f9c084e64620  xonotic-0.8.0-source.zip
+d74a1d1421dc68dbf46595510cea463382e69c8421110cd7b187419530dbfe9d262d9b65843b89b49aa91d9e32041e11941e411fe52f2dcb0ede18311ab821ec  xonotic-moncontrol.patch"
-- 
2.5.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Aug 18 2015 - 23:14:42 GMT